before_commands:
  - 'git submodule update --init --recursive'

build:
    nodes:
        analysis:
            tests:
                override:
                    - php-scrutinizer-run

checks:
    php:
        excluded_dependencies:
            - etsy/phan

filter:
    excluded_paths:
        - '3rdparty/*'
        - 'apps/*/3rdparty/*'
        - 'apps/*/vendor/*'
        - 'l10n/*'
        - 'core/l10n/*'
        - 'apps/*/l10n/*'
        - 'apps/*/tests/*'
        - 'lib/l10n/*'
        - 'core/vendor/*'
        - 'core/js/tests/lib/*.js'
        - 'core/js/tests/specs/*.js'
        - 'core/js/jquery-showpassword.js'
        - 'core/js/jquery-tipsy.js'
        - 'core/js/placeholders.js'
        - 'settings/l10n/*'
        - 'tests/*'
        - 'build/*'
        - 'lib/composer/*'

imports:
    - javascript
    - php
